# -*- encoding: utf-8 -*-
# stub: bit-struct 0.16 ruby lib

Gem::Specification.new do |s|
  s.name = "bit-struct".freeze
  s.version = "0.16"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Joel VanderWerf".freeze]
  s.date = "2017-05-14"
  s.description = "Library for packed binary data stored in ruby Strings. Useful for accessing fields in network packets and binary files.".freeze
  s.email = "vjoel@users.sourceforge.net".freeze
  s.extra_rdoc_files = ["History.txt".freeze, "README.md".freeze, "LICENSE".freeze]
  s.files = ["History.txt".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "examples/ara-player-data.rb".freeze, "examples/bignum.rb".freeze, "examples/bits.rb".freeze, "examples/byte-bdy.rb".freeze, "examples/field-ripper.rb".freeze, "examples/fixed-point.rb".freeze, "examples/ip.rb".freeze, "examples/longlong.rb".freeze, "examples/md.rb".freeze, "examples/modular-def.rb".freeze, "examples/native.rb".freeze, "examples/nested-block.rb".freeze, "examples/nested.rb".freeze, "examples/pad.rb".freeze, "examples/ping-recv.rb".freeze, "examples/ping.rb".freeze, "examples/player-data.rb".freeze, "examples/raw.rb".freeze, "examples/rest.rb".freeze, "examples/switch-endian.rb".freeze, "examples/vector.rb".freeze, "lib/bit-struct.rb".freeze, "lib/bit-struct/bit-struct.rb".freeze, "lib/bit-struct/char-field.rb".freeze, "lib/bit-struct/field.rb".freeze, "lib/bit-struct/fields.rb".freeze, "lib/bit-struct/float-field.rb".freeze, "lib/bit-struct/hex-octet-field.rb".freeze, "lib/bit-struct/nested-field.rb".freeze, "lib/bit-struct/octet-field.rb".freeze, "lib/bit-struct/pad-field.rb".freeze, "lib/bit-struct/signed-field.rb".freeze, "lib/bit-struct/text-field.rb".freeze, "lib/bit-struct/unsigned-field.rb".freeze, "lib/bit-struct/vector-field.rb".freeze, "lib/bit-struct/vector.rb".freeze, "lib/bit-struct/yaml.rb".freeze, "test/test-endian.rb".freeze, "test/test-vector.rb".freeze, "test/test.rb".freeze]
  s.homepage = "https://github.com/vjoel/bit-struct".freeze
  s.licenses = ["Ruby".freeze]
  s.rdoc_options = ["--quiet".freeze, "--line-numbers".freeze, "--inline-source".freeze, "--title".freeze, "BitStruct".freeze, "--main".freeze, "README.md".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Library for packed binary data stored in ruby Strings".freeze
  s.test_files = ["test/test-vector.rb".freeze, "test/test-endian.rb".freeze, "test/test.rb".freeze]
end
